[LInux Mint] Can't install FAHcontrol

FAH provides a V7 client installer for Debian / Mint / Ubuntu / RedHat / CentOS / Fedora. Installation on other distros may or may not be easy but if you can offer help to others, they would appreciate it.

Moderators: Site Moderators, PandeGroup

[LInux Mint] Can't install FAHcontrol

Postby mrizzone » Mon Aug 22, 2016 1:10 am

I received this error message:


Image

Suggestions?

Both Phyton and Linux Mint are the latest version.

Thanks!

Matías
mrizzone
 
Posts: 3
Joined: Mon Aug 22, 2016 1:03 am

Re: [LInux Mint] Can't install FAHcontrol

Postby Joe_H » Mon Aug 22, 2016 4:21 pm

Welcome to the folding support forum.

Mint is a distro listed in the installation Guide and is listed under the Downloads for the software under Debian, Mint and Ubuntu, so is not an unsupported version of Linux. A forum search will show a number of postings on this issue, the current FAHControl depends on an older version of Python than is installed by default with the latest Mint version. There are some workarounds posted on installing the older Python version.
Image

iMac 2.8 i7 12 GB smp8, Mac Pro 2.8 quad 12 GB smp6
MacBook Pro 2.9 i7 8 GB smp3
Joe_H
Super Moderator
 
Posts: 3698
Joined: Tue Apr 21, 2009 4:41 pm
Location: W. MA

Re: [LInux Mint] Can't install FAHcontrol

Postby mrizzone » Mon Aug 22, 2016 8:19 pm

Thanks!
mrizzone
 
Posts: 3
Joined: Mon Aug 22, 2016 1:03 am

Re: [LInux Mint] Can't install FAHcontrol

Postby mrizzone » Mon Aug 22, 2016 8:38 pm

Is possible to configure the client without FAHcontrol? Thanks.
mrizzone
 
Posts: 3
Joined: Mon Aug 22, 2016 1:03 am

Re: [LInux Mint] Can't install FAHcontrol

Postby 7im » Mon Aug 22, 2016 9:00 pm

mrizzone wrote:Is possible to configure the client without FAHcontrol? Thanks.


Yes, but not recommended.

Did you find this solution while searching the forum? https://foldingforum.org/viewtopic.php?p=287334#p287334
How to provide enough information to get helpful support
Tell me and I forget. Teach me and I remember. Involve me and I learn.
User avatar
7im
 
Posts: 15235
Joined: Thu Nov 29, 2007 4:30 pm
Location: Arizona

Re: [LInux Mint] Can't install FAHcontrol

Postby awannabeee » Fri Mar 24, 2017 10:27 pm

Is there any follow up to a solution?
awannabeee
 
Posts: 13
Joined: Tue Jul 20, 2010 11:56 pm

Re: [LInux Mint] Can't install FAHcontrol

Postby SteveWillis » Sat Mar 25, 2017 2:19 pm

What worked for me on linux mint 18 was:

#fah folding at home python fix
wget http://launchpadlibrarian.net/109052632 ... 15_all.deb
sudo dpkg -i python-support_1.0.15_all.deb
Image
My thanks to CURE, FLDC, this forum, and my wonderfully indulgent wife
http://folding.extremeoverclocking.com/user_summary.php?s=&u=712804

6 X GTX 1080, 5 X GTX 1080 TI
SteveWillis
 
Posts: 168
Joined: Fri Apr 15, 2016 12:42 am

Re: [LInux Mint] Can't install FAHcontrol

Postby bruce » Wed Apr 05, 2017 8:45 pm

You's think that a later version of Python would work, but the python development team has not been particulary supportive of such releases. Moreover, those who create the Linux install packages only ship the latest and you have to search for the kind of .deb that Steve Willis found for you. (I've see the same problem on other distros)
bruce
Site Admin
 
Posts: 20993
Joined: Thu Nov 29, 2007 10:13 pm
Location: So. Cal.


Return to Q&A about unsupported distros of Linux

Who is online

Users browsing this forum: No registered users and 1 guest

cron